commit:     7817eacdd6aa402b3ad44c45b2deafa9f69dff44
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Apr 25 04:16:56 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Apr 25 04:17:07 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7817eacd

dev-python/uv: Bump to 0.1.38

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/uv/Manifest         |   2 +
 dev-python/uv/uv-0.1.38.ebuild | 111 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 113 insertions(+)

diff --git a/dev-python/uv/Manifest b/dev-python/uv/Manifest
index 66e3836a23e5..47e31b7378db 100644
--- a/dev-python/uv/Manifest
+++ b/dev-python/uv/Manifest
@@ -8,3 +8,5 @@ DIST uv-0.1.36-crates.tar.xz 65852268 BLAKE2B 
f9dac75dc992d37c54554c25e0ce0895aa
 DIST uv-0.1.36.gh.tar.gz 1018114 BLAKE2B 
c57a3362940803df34f45c0dd2bcc176fb4928d1b0c168adc89d150ffb59a39d0fb57b41c063485a7c324a2101b9f4334cf29e175f910122842f893c6be9970a
 SHA512 
39a4ec3b17803a13a53f331185bfb4fa321f9ee2c158828ad9f88aa7214ee72a58a87dcef74eaeac7a1e3a989909f0d50a457431ce22a72703db0e8c3fc4a6c2
 DIST uv-0.1.37-crates.tar.xz 65881140 BLAKE2B 
c1a640c44d73d5607c8d07468cefc66c150135b0f0249362148bd2b8f8c99a43c9031a642c0f76140631177df947be7637b49e99e247afbd7efbebb2ad79bcb1
 SHA512 
99bf6f341f9e6cf8eb0834c436b81453615725cabd3ddc4cca34edb307200bdbb71e913e8ff52a2a1d11e5f1a4abfb4dbdfe40a9c4f114079a7d9fdace0bcaab
 DIST uv-0.1.37.gh.tar.gz 1020667 BLAKE2B 
4aa459b15dc06d57d5cad66ebeb5925ec833870dea17f72ef54889f8e8699719cba59bd0600263c1647f17402c002000114d603a474dbcf873ac2f2c37301fb8
 SHA512 
88d9233bd05e8003b75759e39bc22c469a0094a5ca5b6bd6f2bd8b266b376c44ecfa442f3cd5fff1c099234b660a871153423bacbf785863deb79df321b05574
+DIST uv-0.1.38-crates.tar.xz 65881140 BLAKE2B 
c1a640c44d73d5607c8d07468cefc66c150135b0f0249362148bd2b8f8c99a43c9031a642c0f76140631177df947be7637b49e99e247afbd7efbebb2ad79bcb1
 SHA512 
99bf6f341f9e6cf8eb0834c436b81453615725cabd3ddc4cca34edb307200bdbb71e913e8ff52a2a1d11e5f1a4abfb4dbdfe40a9c4f114079a7d9fdace0bcaab
+DIST uv-0.1.38.gh.tar.gz 1023332 BLAKE2B 
e62259084fc9122d311bbcac754796b9e0ac28f4865755e03729eb6ad5adab4f9e3f77c41af1dbdbdc3a55d5a4736875aa26ddc7b78b745c8d6fb4d6b8bbd959
 SHA512 
7dad22d038aad03ad72ee0c5fdb77ccfbf56fc94a38613373a037eb26c2f228bc6c883d542621b45f2a55c8d51b7345fdd919dc1db45aa4d598e368311c72fdd

diff --git a/dev-python/uv/uv-0.1.38.ebuild b/dev-python/uv/uv-0.1.38.ebuild
new file mode 100644
index 000000000000..793b60d2c541
--- /dev/null
+++ b/dev-python/uv/uv-0.1.38.ebuild
@@ -0,0 +1,111 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+CRATES="
+"
+
+declare -A GIT_CRATES=(
+       
[async_zip]='https://github.com/charliermarsh/rs-async-zip;1dcb40cfe1bf5325a6fd4bfcf9894db40241f585;rs-async-zip-%commit%'
+       
[pubgrub]='https://github.com/astral-sh/pubgrub;c26e485213e39582c6f2e4d45c0328422670e7a7;pubgrub-%commit%'
+)
+
+inherit cargo check-reqs
+
+DESCRIPTION="A Python package installer and resolver, written in Rust"
+HOMEPAGE="
+       https://github.com/astral-sh/uv/
+       https://pypi.org/project/uv/
+"
+# pypi sdist misses scripts/, needed for tests
+SRC_URI="
+       https://github.com/astral-sh/uv/archive/${PV}.tar.gz
+               -> ${P}.gh.tar.gz
+       ${CARGO_CRATE_URIS}
+"
+if [[ ${PKGBUMPING} != ${PVR} ]]; then
+       CRATE_P=${P}
+       SRC_URI+="
+               https://dev.gentoo.org/~mgorny/dist/${CRATE_P}-crates.tar.xz
+       "
+fi
+
+# most of the code
+LICENSE="|| ( Apache-2.0 MIT )"
+# crates/pep508-rs is || ( Apache-2.0 BSD-2 ) which is covered below
+# Dependent crate licenses
+LICENSE+="
+       0BSD Apache-2.0 Apache-2.0-with-LLVM-exceptions BSD-2 BSD ISC MIT
+       MPL-2.0 Unicode-DFS-2016
+"
+# ring crate
+LICENSE+=" openssl"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+IUSE="test"
+RESTRICT="test"
+PROPERTIES="test_network"
+
+DEPEND="
+       dev-libs/libgit2:=
+"
+RDEPEND="
+       ${DEPEND}
+"
+BDEPEND="
+       >=virtual/rust-1.77
+       test? (
+               dev-lang/python:3.8
+               dev-lang/python:3.9
+               dev-lang/python:3.10
+               dev-lang/python:3.11
+               dev-lang/python:3.12
+       )
+"
+
+QA_FLAGS_IGNORED="usr/bin/.*"
+
+check_space() {
+       local CHECKREQS_DISK_BUILD=3G
+       use debug && CHECKREQS_DISK_BUILD=9G
+       check-reqs_pkg_setup
+}
+
+pkg_pretend() {
+       check_space
+}
+
+pkg_setup() {
+       check_space
+}
+
+src_configure() {
+       local myfeatures=(
+               # from upstream defaults
+               flate2/zlib-ng
+               python
+               pypi
+               git
+               maturin
+               # skip tests that require specific patch version of the 
interpreter:
+               # python-patch
+       )
+
+       cargo_src_configure --no-default-features
+}
+
+src_compile() {
+       cd crates/uv || die
+       cargo_src_compile
+}
+
+src_test() {
+       cd crates/uv || die
+       cargo_src_test --no-fail-fast
+}
+
+src_install() {
+       cd crates/uv || die
+       cargo_src_install
+}

Reply via email to